#ifndef AUDIOPIPELINE_AUDIO_SINK_FILE_H__INCLUDED
#define AUDIOPIPELINE_AUDIO_SINK_FILE_H__INCLUDED

#include "audio.h"

/**
 * Create a file sink, this will just write the data to a file, if you want to write in a specialized
 * format you'll need a muxer
 *
 * @returns Initialized `AudioPipelineElement` that can be used in call to `audio_pipeline_assemble`
 */
AudioPipelineElement *audio_sink_file(char *filename);

#endif /* AUDIOPIPELINE_AUDIO_SINK_FILE_H__INCLUDED */

