#ifndef AUDIOPIPELINE_AUDIO_SOURCE_FILE_H__INCLUDED
#define AUDIOPIPELINE_AUDIO_SOURCE_FILE_H__INCLUDED

#include "audio.h"

/**
 * Create a file audio source from the provided file name
 *
 * @param filename File to open
 *
 * @returns Initialized `AudioPipelineElement` that can be used in call to `audio_pipeline_assemble`
 */
AudioPipelineElement *audio_source_file(char *filename, uint32_t block_size);

#endif /* AUDIOPIPELINE_AUDIO_SOURCE_FILE_H__INCLUDED */
