#if defined(__x86_64__) || defined(__X86__) || defined(__i386__)
# undef ARM4_ASM
# undef ARM5E_ASM
# undef USE_NEON
#elif defined(__arm__)
# if defined(__ARM_NEON) || defined(__ARM_NEON__) || defined(__ARM_FEATURE_SIMD32)
   /* Enable NEON support */
#  undef ARM4_ASM
#  undef ARM5E_ASM
#  define USE_NEON /**/
# elif defined(__ARM_ARCH_4T__)
   /* Make use of ARM4 assembly optimizations */
#  define ARM4_ASM /**/
#  undef ARM5E_ASM
#  undef USE_NEON
# elif defined(__ARM_ARCH_5E__)
   /* Make use of ARM5E assembly optimizations */
#  undef ARM4_ASM
#  define ARM5E_ASM /**/
#  undef USE_NEON
# endif
#endif 

/* Symbol visibility prefix */
#define EXPORT __attribute__((visibility("default")))

/* Debug fixed-point implementation */
#undef FIXED_DEBUG

/* Use C99 variable-size arrays */
#define VAR_ARRAYS /**/

