/* use double precision */
#undef USE_DOUBLE_PRECISION

/* use fixed point reals */
#define FIXED_POINT
#define BIG_IQ_TABLE

/* Use if target platform has address generators with autoincrement */
#undef PREFER_POINTERS

#define ERROR_RESILIENCE
#define ALLOW_SMALL_FRAMELENGTH

/* Low complexity only decoder, no HE-AAC/SBR */
#undef LC_ONLY_DECODER

/* Allow decoding of MAIN profile AAC, not possible if FIXED_POINT */
#define MAIN_DEC

/* Allow decoding of SSR profile AAC, not possible if FIXED_POINT */
#undef SSR_DEC

/* Allow decoding of LTP profile AAC */
#define LTP_DEC

/* Allow decoding of LD profile AAC */
#define LD_DEC

/* Allow decoding of Digital Radio Mondiale (DRM) */
#undef DRM_SUPPORT

/* Define DISABLE_SBR if you want to disable SBR decoding. */
#undef DISABLE_SBR

/* Define SBR_LOW_POWER if you want only low power SBR decoding without PS. */
#undef SBR_LOW_POWER

#define PACKAGE_VERSION "2.11.1"
